package net.roseindia;

import java.util.Arrays;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@EnableAutoConfiguration
@ComponentScan
public class SpringBootSimpleApplication {

	public static void main(String[] args) throws Exception {

		ConfigurableApplicationContext ctx =
				SpringApplication.run(SpringBootSimpleApplication.class, args);
		
		System.out.println("Beans count: " + ctx.getBeanDefinitionCount());
		
		String[] names = ctx.getBeanDefinitionNames();
		Arrays.sort(names);
		
		System.out.println("Names of the Beans:");
		
		Arrays.asList(names).forEach(System.out::println);

	}

}
